//
// Created by illyum on 9/15/2024.
//

#include "ICEngine.hpp"
#include "pch.hpp"

namespace ICEngine {
	void StartApplication() {
		Log::Init();
		CORE_LOG_TRACE("Starting ICEngine");

		ICEApplication* app = CreateICEApplication();
		if (app) {
			CORE_LOG_TRACE("Starting User Application");
			app->Run();
			delete app;
		} else {
			CORE_LOG_FATAL("Could not start User Application");
		}

		CORE_LOG_TRACE("Shutting down ICEngine");
	}
}